Bug 53013 - Package for i586-based single-CPU kernel is missing
Package for i586-based single-CPU kernel is missing
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
ftp://ftp.redhat.com/pub/redhat/linux...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-01 15:50 EDT by Fulton Green
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-03 06:56:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fulton Green 2001-09-01 15:50:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90)

Description of problem:
For both Raw Hide and the 7.2 beta refresh (Roswell), the i586-based 
single-CPU kernel package seems to have been dropped.

Version-Release number of selected component (if applicable): 2.4.7-2.9


How reproducible:
Always

Steps to Reproduce:
1. Hit the above URL, or perform the equivalent FTP navigation.	

Actual Results:  File not found.

Expected Results:  In previous distros (at least up through 7.1), there 
has always been an i586-based single-CPU kernel package.

Additional info:

There is, however, an i586-based SMP kernel. Should I be using that on my 
single-CPU machine (I'm guessing the answer for that is no), fall back to 
the i386-based kernel, or wait for a single-CPU i586 kernel package to 
show up in Raw Hide?

Believe it or not, some of us are still running on merely semi-ancient 
CPUs (in my case, a 90 MHz Pentium MMX, albeit with 128 MB RAM).
Comment 1 Fulton Green 2001-09-01 15:54:01 EDT
Whoops, that should have been a 233 MHz Pentium MMX. I also have a 90 MHz 
classic Pentium-based machine upon which Linux still runs fine (albeit without 
graphical workstation capabilities).
Comment 2 Arjan van de Ven 2001-09-03 06:56:03 EDT
The i586 UP kernel has been "obsoleted". I'll explain why:
There is little benefit of a i586 kernel over a i386 kernel (gcc will optimize
the instruction-scheduling for i586 anyway) and the cd space the i586 kernel
took is now used by the Athlon kernel. Unlike the i586 kernel, the athlon kernel
DOES make a significant difference in optimization. 

Re the SMP kernel: a i386 SMP kernel doesn't actually work (there are no i386
SMP machines and the i486 SMP machines that exist don't work with linux) so
there the minimum is i586.

Note You need to log in before you can comment on or make changes to this bug.